import request from './request.js'


/**
 * 上传文件
 * @param data
 * @param onUploadProgress 文件上传进度
 * @returns {AxiosPromise}
 */
export function uploadFiles(data, onUploadProgress) {
    return request({
        url: `/so-fast-fs/fs/common/file/upload`,
        method: 'post',
        headers: {
            'Content-Type': 'multipart/form-data'
        },
        data,
        onUploadProgress
    })
}

export function upload(data, onUploadProgress) {
    return request({
        url: `/so-fast-fs/obsFileInfo/upload`,
        method: 'post',
        headers: {
            'Content-Type': 'multipart/form-data'
        },
        data,
        onUploadProgress
    })
}

